﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Дол_Восток
{
    public partial class Avtorization : Form
    {
        SqlCommand query = null;

        public Avtorization()
        {
            InitializeComponent();
        }

        private void Avtorization_Load(object sender, EventArgs e)
        {
            db_helper.openConnection(ref db_helper.sqlConnection);
            Button a = new Button() { Text = "Жмакай", Size = new Size(80, 20), Location = new Point(0, 0) };
            this.Controls.Add(a);
            a.Click += (obj, args) =>
            {
                GLavn menu = new GLavn();
                menu.Show();
                this.Hide();
            };
        }

        private void autorization_Click(object sender, EventArgs e)
        {
            bool checkTB = false;
            foreach(TextBox textBox in this.Controls.OfType<TextBox>())
            {
                if (String.IsNullOrEmpty(textBox.Text))
                {
                    checkTB = true;
                    break;
                }
            }

            if (!checkTB)
            {
                SqlCommand findUser = new SqlCommand($"select count(*) from registration where Login like '{tb_login.Text}' and Password like '{tb_password.Text}'", db_helper.sqlConnection);
                if (findUser.ExecuteScalar().ToString().Equals("1"))
                {
                    GLavn menu = new GLavn();
                    menu.Show();
                    this.Hide();
                }
                else
                {
                    MessageBox.Show("Такого пользователя нет!\nПроверьте правильность введенных данных, либо зарегистрируйтесь заново", "Ошибка входа", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
        }

        private void bt_registration_Click(object sender, EventArgs e)
        {
            query = new SqlCommand($"select count(*) from registration where Login like '{tb_login.Text}'", db_helper.sqlConnection);
            if (query.ExecuteScalar().ToString().Equals("1"))
            {
                MessageBox.Show("Такой пользователь уже существует!\nПроверьте правильность введенных данных", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {
                if(tb_login.Text != "" && tb_password.Text != "")
                {
                    if(tb_password.TextLength <= 5)
                    {
                        MessageBox.Show("Пароль должен содержать минимум 6 символов", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
                    }
                    else
                    {
                        query = new SqlCommand($"insert into registration (login, password) values (@login, @password)", db_helper.sqlConnection);
                        query.Parameters.AddWithValue("login", tb_login.Text);
                        query.Parameters.AddWithValue("password", tb_password.Text);
                        if (query.ExecuteNonQuery().ToString().Equals("1"))
                        {
                            MessageBox.Show("Добавление прошло успешно!", "Уведомление", MessageBoxButtons.OK, MessageBoxIcon.Information);
                            tb_login.Text = tb_password.Text = "";
                        }
                    }
                }
                else
                {
                    MessageBox.Show("Поля не заполнены", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
        }
    }
}
